D_INSTANTIATE_NO_DIR(9)

NAME
d_instantiate_no_diralias - instantiate a non-aliased dentry

SYNOPSIS

int d_instantiate_no_diralias(struct dentry * entry, struct inode * inode);

ARGUMENTS

entry
    dentry to complete

inode
    inode to attach to this dentry

DESCRIPTION

Fill in inode information in the entry. If a directory alias is found, then return an error (and drop inode). Together with d_materialise_unique this guarantees that a directory inode may never have more than one alias.

COPYRIGHT